%bcond_without check

%global goipath         github.com/surma/gocpio
Version:                1.1.0

%gometa

%global common_description %{expand:
gocpio is a simple library similar to Go's tar or zip package for accessing
cpio archives. It's not pretty and only implements the new ASCII format.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        A Go package for cpio archives

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%gopkg


%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif


%gopkgfiles


%changelog
* Sat Nov 26 2022 gasinvein <gasinvein@gmail.com> - 1.1.0-1
- new version
